Package org.pushingpixels.flamingo.internal.ui.common

# Class BasicCommandButtonStripUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonStripUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonStripUI

public class BasicCommandButtonStripUI extends CommandButtonStripUI
Basic UI for button strip `JCommandButtonStrip`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JCommandButtonStrip`
`buttonStrip`
The associated button strip.
`protected ChangeListener`
`changeListener`

## Constructor Summary

Constructors
Constructor
Description
`BasicCommandButtonStripUI()`

## Method Summary

Modifier and Type
Method
Description
`protected LayoutManager`
`createLayoutManager()`
Invoked by `installUI` to create a layout manager object to manage the `JCommandButtonStrip`.
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`installComponents()`
Installs subcomponents on the associated button strip.
`protected void`
`installDefaults()`
Installs defaults on the associated button strip.
`protected void`
`installListeners()`
Installs listeners on the associated button strip.
`void`
`installUI(JComponent c)`
`protected void`
`uninstallComponents()`
Uninstalls subcomponents from the associated ribbon.
`protected void`
`uninstallDefaults()`
Uninstalls defaults from the associated button strip.
`protected void`
`uninstallListeners()`
Uninstalls listeners from the associated button strip.
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### buttonStrip

protected JCommandButtonStrip buttonStrip
The associated button strip.

### changeListener

protected ChangeListener changeListener

## Constructor Details

### BasicCommandButtonStripUI

public BasicCommandButtonStripUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### installListeners

protected void installListeners()
Installs listeners on the associated button strip.

### uninstallListeners

protected void uninstallListeners()
Uninstalls listeners from the associated button strip.

### installDefaults

protected void installDefaults()
Installs defaults on the associated button strip.

### uninstallDefaults

protected void uninstallDefaults()
Uninstalls defaults from the associated button strip.

### installComponents

protected void installComponents()
Installs subcomponents on the associated button strip.

### uninstallComponents

protected void uninstallComponents()
Uninstalls subcomponents from the associated ribbon.

### createLayoutManager

protected LayoutManager createLayoutManager()
Invoked by `installUI` to create a layout manager object to manage the `JCommandButtonStrip`.

Returns:
  a layout manager object